close all;
ExNum = 100;
temp = importdata(strcat('D:\PTSS\Final PTSSMLA\Testing\RTPCD Results',num2str(ExNum),'.mat'));
OES = temp.MSet.OES;
wavelength = 191:0.5:851.5; % The 293rd wavelength is 337 nm

% Plot peak comparison
figure();
plot(wavelength,TestingSet(:,ExNum)/TestingSet(293,ExNum),'k');
hold on;
efflist = [308.9;337.13;391.44;706.52;777.4];
ComPeak = zeros(5,2);
ComPeak(:,1) = efflist;
ComPeak(1,2) = OES(1,1,1);
ComPeak(2,2) = 1;
ComPeak(3:5,2) = OES(3:5,1,1);
bar(ComPeak(:,1),ComPeak(:,2),'r');
alpha(0.5);
hold off;
grid on;
xlabel('Wavelength [nm]');
ylabel('Normalized Intensity');
legend('Experimental Spectrum','Computational Peaks');
xlim([191,851.5]);

% Bar plot species
Marker_eval = zeros(100,1);
SSre = SS;
evali = 0;
for sn = 1:size(SS,1)
    tempSS = SS{sn};
    if strcmp(tempSS,'e') || strcmp(tempSS,'He+') || strcmp(tempSS,'He2+') ||...
            strcmp(tempSS,'H+') || strcmp(tempSS,'H') || strcmp(tempSS,'H2+') ||...
            strcmp(tempSS,'H2') || strcmp(tempSS,'N+') || strcmp(tempSS,'N') ||...
            strcmp(tempSS,'N2+') || strcmp(tempSS,'O+') || strcmp(tempSS,'O') ||...
            strcmp(tempSS,'O-') || strcmp(tempSS,'O2+') || strcmp(tempSS,'O3') ||...
            strcmp(tempSS,'O3-') || strcmp(tempSS,'H2O+') || strcmp(tempSS,'OH') ||...
            strcmp(tempSS,'H-') || strcmp(tempSS,'OH+') || strcmp(tempSS,'OH-') ||...
            strcmp(tempSS,'NO+') || strcmp(tempSS,'NO') || strcmp(tempSS,'NO-') ||...
            strcmp(tempSS,'NO2+') || strcmp(tempSS,'NO2') || strcmp(tempSS,'NO2-') ||...
            strcmp(tempSS,'N2O+') || strcmp(tempSS,'N2O') || strcmp(tempSS,'HNO3') ||...
            strcmp(tempSS,'N2O-') || strcmp(tempSS,'NO3-') || strcmp(tempSS,'NO3') ||...
            strcmp(tempSS,'HNO') || strcmp(tempSS,'HO2') || strcmp(tempSS,'H2O2') ||...
            strcmp(tempSS,'HNO2') || strcmp(tempSS,'N2O5')
        evali = evali+1;
        Marker_eval(evali) = sn;
    end
end
for i = 1:evali
    SSre{i} = SS{Marker_eval(i)};
end
SSre = SSre(1:evali);
S = squeeze(MSet.Shist(:,:,1,:,1)); % Shist Dim: SS, time, MN, SR, Minibatch
Sm = squeeze(mean(S,2));
Smre = zeros(size(SSre,1),3);
for i = 1:evali
   Smre(i,:) = Sm(Marker_eval(i),:); 
end
% SSrelabel = SSre; % Do not note this for the first-time run
figure();
barlabel = categorical(SSrelabel); % SSrelabel revised manually for sub and super scripts
barlabel = reordercats(barlabel,SSrelabel); 
barh(barlabel,Smre);
set(gca,'XScale','log');
xlabel('Density [cm^-^3]');
legend('Region 1','Region 2','Region 3');
grid minor;

% Spacial Resolution Example
figure();
LSS = {'He';'N_2';'O_2'};
LSlabel = categorical(LSS);
LSlabel = reordercats(LSlabel,LSS); 
LSSm = zeros(3,3);
LSSm(1,:) = Sm(3,:); % He
LSSm(2,:) = Sm(32,:); % N2
LSSm(3,:) = Sm(44,:); % O2
bar(LSlabel,LSSm);
ylabel('Relative Density');
legend('Region 1','Region 2','Region 3');
grid minor;